ThrowableDeserializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser

## Class ThrowableDeserializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonDeserializer<T>
  - - org.codehaus.jackson.map.deser.std.StdDeserializer<Object>
    - - org.codehaus.jackson.map.deser.BeanDeserializer
      - - org.codehaus.jackson.map.deser.std.ThrowableDeserializer
        - - org.codehaus.jackson.map.deser.ThrowableDeserializer

- All Implemented Interfaces:
    ResolvableDeserializer

  Deprecated.
  Since 1.9, use `ThrowableDeserializer` instead.

      @Deprecated
      public class ThrowableDeserializer
      extends ThrowableDeserializer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `StdDeserializer.BigDecimalDeserializer, StdDeserializer.BigIntegerDeserializer, StdDeserializer.BooleanDeserializer, StdDeserializer.ByteDeserializer, StdDeserializer.CharacterDeserializer, StdDeserializer.DoubleDeserializer, StdDeserializer.FloatDeserializer, StdDeserializer.IntegerDeserializer, StdDeserializer.LongDeserializer, StdDeserializer.NumberDeserializer, StdDeserializer.PrimitiveOrWrapperDeserializer<T>, StdDeserializer.ShortDeserializer, StdDeserializer.SqlDateDeserializer, StdDeserializer.StackTraceElementDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.deser.std.ThrowableDeserializer

      `PROP_NAME_MESSAGE`

    - ### Fields inherited from class org.codehaus.jackson.map.deser.BeanDeserializer

      `_anySetter, _backRefs, _beanProperties, _beanType, _delegateDeserializer, _externalTypeIdHandler, _forClass, _ignorableProps, _ignoreAllUnknown, _injectables, _nonStandardCreation, _property, _propertyBasedCreator, _subDeserializers, _unwrappedPropertyHandler, _valueInstantiator`

    - ### Fields inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_valueClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrowableDeserializer(BeanDeserializer baseDeserializer)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.ThrowableDeserializer

      `deserializeFromObject, unwrappingDeserializer`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.BeanDeserializer

      `_deserializeUsingPropertyBased, _findSubclassDeserializer, _resolveInnerClassValuedProperty, _resolveManagedReferenceProperty, _resolveUnwrappedProperty, deserialize, deserialize, deserializeFromArray, deserializeFromBoolean, deserializeFromDouble, deserializeFromNumber, deserializeFromObjectUsingNonDefault, deserializeFromString, deserializeUsingPropertyBasedWithExternalTypeId, deserializeUsingPropertyBasedWithUnwrapped, deserializeWithExternalTypeId, deserializeWithExternalTypeId, deserializeWithType, deserializeWithUnwrapped, deserializeWithUnwrapped, findBackReference, getBeanClass, getPropertyCount, getValueInstantiator, getValueType, handlePolymorphic, handleUnknownProperties, handleUnknownProperty, hasProperty, injectValues, properties, resolve, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapInstantiationProblem`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, isDefaultSerializer, parseDouble, reportUnknownProperty`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonDeserializer

      `getEmptyValue, getNullValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrowableDeserializer

          public ThrowableDeserializer(BeanDeserializer baseDeserializer)

      Deprecated.